Index: code/branches/FICN/src/orxonox/weapon/ammunition_dump.cc
===================================================================
--- code/branches/FICN/src/orxonox/weapon/ammunition_dump.cc	(revision 376)
+++ code/branches/FICN/src/orxonox/weapon/ammunition_dump.cc	(revision 513)
@@ -5,8 +5,8 @@
  *   License notice:
  *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
  *
  *   This program is distributed in the hope that it will be useful,
@@ -16,6 +16,6 @@
  *
  *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
  *   Author:
@@ -65,5 +65,5 @@
   }
 
-  
+
   int AmmunitionDump::store(const Ogre::String &name, int quantity)
   {
Index: code/branches/FICN/src/orxonox/weapon/barrel_gun.cc
===================================================================
--- code/branches/FICN/src/orxonox/weapon/barrel_gun.cc	(revision 376)
+++ code/branches/FICN/src/orxonox/weapon/barrel_gun.cc	(revision 513)
@@ -5,8 +5,8 @@
  *   License notice:
  *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
  *
  *   This program is distributed in the hope that it will be useful,
@@ -16,6 +16,6 @@
  *
  *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
  *   Author:
Index: code/branches/FICN/src/orxonox/weapon/base_weapon.cc
===================================================================
--- code/branches/FICN/src/orxonox/weapon/base_weapon.cc	(revision 376)
+++ code/branches/FICN/src/orxonox/weapon/base_weapon.cc	(revision 513)
@@ -5,8 +5,8 @@
  *   License notice:
  *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
  *
  *   This program is distributed in the hope that it will be useful,
@@ -16,6 +16,6 @@
  *
  *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
  *   Author:
Index: code/branches/FICN/src/orxonox/weapon/bullet.cc
===================================================================
--- code/branches/FICN/src/orxonox/weapon/bullet.cc	(revision 376)
+++ code/branches/FICN/src/orxonox/weapon/bullet.cc	(revision 513)
@@ -5,8 +5,8 @@
  *   License notice:
  *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
  *
  *   This program is distributed in the hope that it will be useful,
@@ -16,6 +16,6 @@
  *
  *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
  *   Author:
Index: code/branches/FICN/src/orxonox/weapon/bullet_manager.cc
===================================================================
--- code/branches/FICN/src/orxonox/weapon/bullet_manager.cc	(revision 376)
+++ code/branches/FICN/src/orxonox/weapon/bullet_manager.cc	(revision 513)
@@ -5,8 +5,8 @@
  *   License notice:
  *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
  *
  *   This program is distributed in the hope that it will be useful,
@@ -16,6 +16,6 @@
  *
  *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
  *   Author:
Index: code/branches/FICN/src/orxonox/weapon/weapon_station.cc
===================================================================
--- code/branches/FICN/src/orxonox/weapon/weapon_station.cc	(revision 376)
+++ code/branches/FICN/src/orxonox/weapon/weapon_station.cc	(revision 513)
@@ -5,8 +5,8 @@
  *   License notice:
  *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
  *
  *   This program is distributed in the hope that it will be useful,
@@ -16,6 +16,6 @@
  *
  *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
  *   Author: