Index: code/branches/FICN/src/network/Client.cc
===================================================================
--- code/branches/FICN/src/network/Client.cc	(revision 513)
+++ code/branches/FICN/src/network/Client.cc	(revision 514)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss, (C) 2007
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 //
 // C++ Implementation: Client
@@ -90,5 +117,5 @@
     return client_connection.sendPackets();
   }
-  
+
   /**
    * submits a chat message to the server
@@ -133,5 +160,5 @@
   }
 
-  /** 
+  /**
    * Sends out all the packets queued by addXXX
    */
@@ -147,5 +174,5 @@
       return false;
   }
-  
+
   /**
    * Performs a GameState update
@@ -160,5 +187,5 @@
     return;
   }
-  
+
   void Client::processGamestate( GameStateCompressed *data){
     gamestate.pushGameState(*data);
@@ -167,5 +194,5 @@
     return;
   }
-  
+
   void Client::processClassid(classid *clid){
     orxonox::Identifier *id;
@@ -175,8 +202,8 @@
     return;
   }
-  
+
   void Client::processChat( chat *data){
     std::cout << "Server: " << data->message << std::endl;
   }
-  
+
 }
Index: code/branches/FICN/src/network/ClientConnection.cc
===================================================================
--- code/branches/FICN/src/network/ClientConnection.cc	(revision 513)
+++ code/branches/FICN/src/network/ClientConnection.cc	(revision 514)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss, (C) 2007
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 //
 // C++ Interface: ClientConnection
@@ -58,5 +85,5 @@
     return getPacket(address);
   }
-  
+
   bool ClientConnection::queueEmpty(){
     return buffer.isEmpty();
Index: code/branches/FICN/src/network/ClientInformation.cc
===================================================================
--- code/branches/FICN/src/network/ClientInformation.cc	(revision 513)
+++ code/branches/FICN/src/network/ClientInformation.cc	(revision 514)
@@ -1,6 +1,33 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 //
 // C++ Implementation: ClientInformation
 //
-// Description: 
+// Description:
 //
 //
@@ -41,5 +68,5 @@
 //   this->preve = pref;
 // }
-// 
+//
 // ClientInformation::ClientInformation(ClientInformation *prev, ClientInformation *next){
 //   this->nexte = next;
Index: code/branches/FICN/src/network/ConnectionManager.cc
===================================================================
--- code/branches/FICN/src/network/ConnectionManager.cc	(revision 513)
+++ code/branches/FICN/src/network/ConnectionManager.cc	(revision 514)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss, (C) 2007
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 //
 // C++ Interface: ConnectionManager
@@ -24,5 +51,5 @@
 
   boost::thread_group network_threads;
-  
+
   ConnectionManager::ConnectionManager(ClientInformation *head){
     quit=false;
@@ -52,5 +79,5 @@
         return NULL;
   }
-  
+
   ENetPacket *ConnectionManager::getPacket(int &clientID){
     ENetAddress address;
@@ -82,5 +109,5 @@
     return true;
   }
-  
+
   bool ConnectionManager::addPacket(ENetPacket *packet, int clientID){
     if(enet_peer_send(head_->findClient(clientID)->getPeer(), clientID, packet)!=0)
@@ -88,5 +115,5 @@
     return true;
   }
-  
+
   bool ConnectionManager::addPacketAll(ENetPacket *packet){
     for(ClientInformation *i=head_->next(); i!=0; i=i->next()){
@@ -105,5 +132,5 @@
       return false;
   }
-  
+
   bool ConnectionManager::sendPackets(){
     ENetEvent event;
@@ -155,5 +182,5 @@
     enet_host_destroy(server);
   }
-  
+
   void ConnectionManager::disconnectClients(){
     ENetEvent event;
@@ -190,7 +217,7 @@
 //     return clientDisconnect(*peer);
 //   }
-  
-  
-  
+
+
+
   bool ConnectionManager::clientDisconnect(ENetPeer *peer){
     return head_->removeClient(peer);
@@ -205,17 +232,17 @@
     return true;
   }
-  
+
   int ConnectionManager::getClientID(ENetPeer peer){
     return getClientID(peer.address);
   }
-  
+
   int ConnectionManager::getClientID(ENetAddress address){
     return head_->findClient(&address)->getID();
   }
-  
+
   ENetPeer *ConnectionManager::getClientPeer(int clientID){
     return head_->findClient(clientID)->getPeer();
   }
-  
+
   void ConnectionManager::syncClassid(int clientID){
     int i=0;
@@ -235,4 +262,4 @@
     sendPackets();
   }
-  
+
 }
Index: code/branches/FICN/src/network/GameStateClient.cc
===================================================================
--- code/branches/FICN/src/network/GameStateClient.cc	(revision 513)
+++ code/branches/FICN/src/network/GameStateClient.cc	(revision 514)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include "GameStateClient.h"
 
@@ -52,5 +79,5 @@
     sync.data = data;
     data+=sync.length;
-    
+
     if(it->objectID!=sync.objectID){
       // bad luck ;)
@@ -73,5 +100,5 @@
     ++it;
   }
-  
+
   return true;
 }
@@ -117,5 +144,5 @@
   uLongf length=normsize;
   retval = uncompress( dest, &length, a.data, (uLong)compsize );
-  
+
   switch ( retval ) {
     case Z_OK: std::cout << "successfully compressed" << std::endl; break;
@@ -124,5 +151,5 @@
     case Z_DATA_ERROR: std::cout << "data corrupted" << std::endl; break;
   }
-  
+
   GameState gamestate;
   gamestate.id = a.id;
@@ -130,5 +157,5 @@
   gamestate.data = dest;
   gamestate.diffed = a.diffed;
-  
+
   return gamestate;
 }
Index: code/branches/FICN/src/network/GameStateManager.cc
===================================================================
--- code/branches/FICN/src/network/GameStateManager.cc	(revision 513)
+++ code/branches/FICN/src/network/GameStateManager.cc	(revision 514)
@@ -1,6 +1,33 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss, (C) 2007
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 //
 // C++ Implementation: GameStateManager
 //
-// Description: 
+// Description:
 //
 //
@@ -47,5 +74,5 @@
 
 /**
- * This function goes through the whole list of synchronisables and 
+ * This function goes through the whole list of synchronisables and
  * saves all the synchronisables to a flat "list".
  * @return struct of type gamestate containing the size of the whole gamestate and a pointer linking to the flat list
@@ -61,10 +88,10 @@
   // struct for return value of Synchronisable::getData()
   syncData sync;
-  
+
   GameState *retval=new GameState; //return value
   retval->id=id;
   // reserve a little memory and increase it later on
   retval->data = (unsigned char*)malloc(1);
-  
+
   // offset of memory functions
   int offset=0;
@@ -77,5 +104,5 @@
     // allocate additional space
     retval->data = (unsigned char *)realloc((void *)retval->data, totalsize);
-    
+
     // run Synchronisable::getData with offset and additional place for 3 ints in between (for ids and length)
     sync=it->getData(retval->data+offset+3*sizeof(int));
@@ -140,6 +167,6 @@
   unsigned char* dest = (unsigned char*)malloc( buffer );
   int retval;
-  retval = compress( dest, &buffer, a->data, (uLong)size );  
-  
+  retval = compress( dest, &buffer, a->data, (uLong)size );
+
   switch ( retval ) {
   case Z_OK: std::cout << "successfully compressed" << std::endl; break;
@@ -148,5 +175,5 @@
   case Z_DATA_ERROR: std::cout << "data corrupted" << std::endl; break;
   }
-  
+
   GameStateCompressed compressedGamestate;
   compressedGamestate.compsize = buffer;
@@ -155,5 +182,5 @@
   compressedGamestate.data = dest;
   compressedGamestate.diffed = a->diffed;
-  
+
   return compressedGamestate;
 }
Index: code/branches/FICN/src/network/PacketBuffer.cc
===================================================================
--- code/branches/FICN/src/network/PacketBuffer.cc	(revision 513)
+++ code/branches/FICN/src/network/PacketBuffer.cc	(revision 514)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss, (C) 2007
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 // C++ PacketBuffer
 // d
Index: code/branches/FICN/src/network/PacketBufferTestExt.cc
===================================================================
--- code/branches/FICN/src/network/PacketBufferTestExt.cc	(revision 513)
+++ code/branches/FICN/src/network/PacketBufferTestExt.cc	(revision 514)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include <string>
 #include <iostream>
Index: code/branches/FICN/src/network/PacketDecoder.cc
===================================================================
--- code/branches/FICN/src/network/PacketDecoder.cc	(revision 513)
+++ code/branches/FICN/src/network/PacketDecoder.cc	(revision 514)
@@ -1,8 +1,35 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Dumeni Manatschal, (C) 2007
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 /*
  * Class contains functions to determine and decode incomming packages
  * ->don't read this without the class PacketGenerator, since they belong together
- * 
+ *
  * Autor: Dumeni Manatschal
- * 
+ *
 */
 
@@ -58,8 +85,8 @@
 	ack* a = new ack;
 	*a = *(ack*)packet->data; //press pattern of ack on new data
-	
-	//clean memory
-	enet_packet_destroy( packet );
-	
+
+	//clean memory
+	enet_packet_destroy( packet );
+
 	printAck( a ); //debug info
 }
@@ -69,9 +96,9 @@
 	mouse* mouseMove = new mouse;
 	//copy data of packet->data to new struct
-	*mouseMove = *(mouse*)packet->data; 
-	
-	//clean memory
-	enet_packet_destroy( packet );
-	
+	*mouseMove = *(mouse*)packet->data;
+
+	//clean memory
+	enet_packet_destroy( packet );
+
 	printMouse( mouseMove ); //debug info
 }
@@ -81,8 +108,8 @@
 	keyboard* key = new keyboard;
 	*key = *(keyboard*)packet->data; //see above
-	
-	//clean memory
-	enet_packet_destroy( packet );
-	
+
+	//clean memory
+	enet_packet_destroy( packet );
+
 	printKey( key ); //debug info
 
@@ -94,16 +121,16 @@
 	chatting->id = (int)*packet->data; //first copy id into new struct
 	//since the chat message is a char*, allocate the memory needed
-	char* reserve = new char[packet->dataLength-4]; 
+	char* reserve = new char[packet->dataLength-4];
 	//copy the transmitted bytestream into the new generated char*,
-	//note the lenght of the message is represented as "packet->dataLength-sizeof( int )" 
+	//note the lenght of the message is represented as "packet->dataLength-sizeof( int )"
 	memcpy( &reserve[0], packet->data+sizeof(int), packet->dataLength-sizeof(int) );
 	//put pointer of chatting struct to the begining of the new generated char*
 	chatting->message = reserve;
-	
-	//clean memory
-	enet_packet_destroy( packet );
-	
+
+	//clean memory
+	enet_packet_destroy( packet );
+
 	processChat( chatting, clientId ); //debug info
-	
+
 }
 
@@ -126,5 +153,5 @@
 	//copy the GameStateCompressed data
 	memcpy( (void*)(currentState->data), (const void*)(data+4*sizeof( int ) + sizeof(bool)), currentState->compsize );
-  
+
 	//clean memory
 	enet_packet_destroy( packet );
Index: code/branches/FICN/src/network/PacketGenerator.cc
===================================================================
--- code/branches/FICN/src/network/PacketGenerator.cc	(revision 513)
+++ code/branches/FICN/src/network/PacketGenerator.cc	(revision 514)
@@ -1,8 +1,35 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Dumeni Manatschal, (C) 2007
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 /*
  *Class generates packets that can be send by enet
  * ->don't read this without the class PacketDecoder, since they belong together
- * 
+ *
  * Autor: Dumeni Manatschal
- *  
+ *
 */
 
@@ -26,7 +53,7 @@
 	ackreq->id = ACK;
 	ackreq->a = state;
-	
+
 	ENetPacket *packet = enet_packet_create( ackreq , sizeof( *ackreq ), reliable );
-	
+
 	return packet;
 }
@@ -39,7 +66,7 @@
 	mousemove->x = x;
 	mousemove->y = y;
-	
+
 	ENetPacket *packet = enet_packet_create( mousemove , sizeof( *mousemove ), reliable );
-	
+
 	return packet;
 }
@@ -51,7 +78,7 @@
 	key->id = KEYBOARD;
 	key->press = press;
-	
+
 	ENetPacket *packet = enet_packet_create( key , sizeof( *key ), reliable );
-	
+
 	return packet;
 }
@@ -64,5 +91,5 @@
 	memcpy( &trans[1], (const void*)message, strlen( message ) + 1);
 	ENetPacket *packet = enet_packet_create( trans , sizeof( int ) + strlen( message ) + 1, reliable );
-	
+
 	return packet;
 }
@@ -71,5 +98,5 @@
 ENetPacket* PacketGenerator::gstate( GameStateCompressed* states, int reliable )
 {
-	int* gid = new int; 
+	int* gid = new int;
         *gid = GAMESTATE; //first assign the correct enet id
 	int totalLen = 4*sizeof( int ) + sizeof(bool) + states->compsize; //calculate the total size of the datastream memory
@@ -87,5 +114,5 @@
 	//create an enet packet with the generated bytestream
 	ENetPacket *packet = enet_packet_create( data , totalLen, reliable );
-	
+
 	return packet;
 }
Index: code/branches/FICN/src/network/dummyclient.cc
===================================================================
--- code/branches/FICN/src/network/dummyclient.cc	(revision 513)
+++ code/branches/FICN/src/network/dummyclient.cc	(revision 514)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss, (C) 2007
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 //o
 // Dummy client to test ConnectionManager and PacketBuffer classes
Index: code/branches/FICN/src/network/dummyclient2.cc
===================================================================
--- code/branches/FICN/src/network/dummyclient2.cc	(revision 513)
+++ code/branches/FICN/src/network/dummyclient2.cc	(revision 514)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss, (C) 2007
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 //
 // Dummy client to test ConnectionManager, PacketBuffer, ClientConnection and other classes
Index: code/branches/FICN/src/network/dummyserver.cc
===================================================================
--- code/branches/FICN/src/network/dummyserver.cc	(revision 513)
+++ code/branches/FICN/src/network/dummyserver.cc	(revision 514)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss, (C) 2007
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 //
 // Dummy server to test ConnectionManager and PacketBuffer classes