Index: de/branches/FICN/src/orxonox/objects/Makefile
===================================================================
--- /code/branches/FICN/src/orxonox/objects/Makefile	(revision 516)
+++ 	(revision )
@@ -1,288 +1,0 @@
-# CMAKE generated file: DO NOT EDIT!
-# Generated by "Unix Makefiles" Generator, CMake Version 2.4
-
-# Default target executed when no arguments are given to make.
-default_target: all
-
-#=============================================================================
-# Special targets provided by cmake.
-
-# Disable implicit rules so canoncical targets will work.
-.SUFFIXES:
-
-.SUFFIXES: .hpux_make_needs_suffix_list
-
-# Produce verbose output by default.
-VERBOSE = 1
-
-# Suppress display of executed commands.
-$(VERBOSE).SILENT:
-
-# A target that is always out of date.
-cmake_force:
-
-#=============================================================================
-# Set environment variables for the build.
-
-# The shell in which to execute make rules.
-SHELL = /bin/sh
-
-# The CMake executable.
-CMAKE_COMMAND = /usr/pack/cmake-2.4.5-mo/i686-debian-linux3.1/bin/cmake
-
-# The command to remove a file.
-RM = /usr/pack/cmake-2.4.5-mo/i686-debian-linux3.1/bin/cmake -E remove -f
-
-# The program to use to edit the cache.
-CMAKE_EDIT_COMMAND = /usr/pack/cmake-2.4.5-mo/i686-debian-linux3.1/bin/ccmake
-
-# The top-level source directory on which CMake was run.
-CMAKE_SOURCE_DIR = /home/nicolape/orxonox/branches/FICN
-
-# The top-level build directory on which CMake was run.
-CMAKE_BINARY_DIR = /home/nicolape/orxonox/branches/FICN
-
-# Include the progress variables for this target.
-include CMakeFiles/progress.make
-
-#=============================================================================
-# Targets provided globally by CMake.
-
-# Special rule for the target edit_cache
-edit_cache:
-	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
-	cd /home/nicolape/orxonox/branches/FICN/src/orxonox/objects && /usr/pack/cmake-2.4.5-mo/i686-debian-linux3.1/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
-
-# Special rule for the target edit_cache
-edit_cache/fast: edit_cache
-
-# Special rule for the target rebuild_cache
-rebuild_cache:
-	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
-	cd /home/nicolape/orxonox/branches/FICN/src/orxonox/objects && /usr/pack/cmake-2.4.5-mo/i686-debian-linux3.1/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
-
-# Special rule for the target rebuild_cache
-rebuild_cache/fast: rebuild_cache
-
-# The main all target
-all: cmake_check_build_system
-	cd /home/nicolape/orxonox/branches/FICN && $(CMAKE_COMMAND) -E cmake_progress_start /home/nicolape/orxonox/branches/FICN/CMakeFiles $(CMAKE_ALL_PROGRESS)
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f CMakeFiles/Makefile2 src/orxonox/objects/all
-	$(CMAKE_COMMAND) -E cmake_progress_start /home/nicolape/orxonox/branches/FICN/CMakeFiles 0
-
-# The main clean target
-clean:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f CMakeFiles/Makefile2 src/orxonox/objects/clean
-
-# The main clean target
-clean/fast: clean
-
-# Prepare targets for installation.
-preinstall: all
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f CMakeFiles/Makefile2 src/orxonox/objects/preinstall
-
-# Prepare targets for installation.
-preinstall/fast:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f CMakeFiles/Makefile2 src/orxonox/objects/preinstall
-
-# clear depends
-depend:
-	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
-
-# Convenience name for target.
-src/orxonox/objects/CMakeFiles/objects.dir/rule:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f CMakeFiles/Makefile2 src/orxonox/objects/CMakeFiles/objects.dir/rule
-
-# Convenience name for target.
-objects: src/orxonox/objects/CMakeFiles/objects.dir/rule
-
-# fast build rule for target.
-objects/fast:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/build
-
-# target to build an object file
-Ambient.o:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/Ambient.o
-
-# target to preprocess a source file
-Ambient.i:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/Ambient.i
-
-# target to generate assembly for a file
-Ambient.s:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/Ambient.s
-
-# target to build an object file
-BaseObject.o:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/BaseObject.o
-
-# target to preprocess a source file
-BaseObject.i:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/BaseObject.i
-
-# target to generate assembly for a file
-BaseObject.s:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/BaseObject.s
-
-# target to build an object file
-Camera.o:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/Camera.o
-
-# target to preprocess a source file
-Camera.i:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/Camera.i
-
-# target to generate assembly for a file
-Camera.s:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/Camera.s
-
-# target to build an object file
-Entity.o:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/Entity.o
-
-# target to preprocess a source file
-Entity.i:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/Entity.i
-
-# target to generate assembly for a file
-Entity.s:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/Entity.s
-
-# target to build an object file
-SceneNode.o:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/SceneNode.o
-
-# target to preprocess a source file
-SceneNode.i:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/SceneNode.i
-
-# target to generate assembly for a file
-SceneNode.s:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/SceneNode.s
-
-# target to build an object file
-Skybox.o:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/Skybox.o
-
-# target to preprocess a source file
-Skybox.i:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/Skybox.i
-
-# target to generate assembly for a file
-Skybox.s:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/Skybox.s
-
-# target to build an object file
-SpaceshipSteeringObject.o:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/SpaceshipSteeringObject.o
-
-# target to preprocess a source file
-SpaceshipSteeringObject.i:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/SpaceshipSteeringObject.i
-
-# target to generate assembly for a file
-SpaceshipSteeringObject.s:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/SpaceshipSteeringObject.s
-
-# target to build an object file
-WorldEntity.o:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/WorldEntity.o
-
-# target to preprocess a source file
-WorldEntity.i:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/WorldEntity.i
-
-# target to generate assembly for a file
-WorldEntity.s:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/WorldEntity.s
-
-# target to build an object file
-test1.o:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/test1.o
-
-# target to preprocess a source file
-test1.i:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/test1.i
-
-# target to generate assembly for a file
-test1.s:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/test1.s
-
-# target to build an object file
-test2.o:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/test2.o
-
-# target to preprocess a source file
-test2.i:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/test2.i
-
-# target to generate assembly for a file
-test2.s:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/test2.s
-
-# target to build an object file
-test3.o:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/test3.o
-
-# target to preprocess a source file
-test3.i:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/test3.i
-
-# target to generate assembly for a file
-test3.s:
-	cd /home/nicolape/orxonox/branches/FICN && $(MAKE) -f src/orxonox/objects/CMakeFiles/objects.dir/build.make src/orxonox/objects/CMakeFiles/objects.dir/test3.s
-
-# Help Target
-help::
-	@echo "The following are some of the valid targets for this Makefile:"
-	@echo "... all (the default if no target is provided)"
-	@echo "... clean"
-	@echo "... depend"
-	@echo "... edit_cache"
-	@echo "... objects"
-	@echo "... rebuild_cache"
-	@echo "... Ambient.o"
-	@echo "... Ambient.i"
-	@echo "... Ambient.s"
-	@echo "... BaseObject.o"
-	@echo "... BaseObject.i"
-	@echo "... BaseObject.s"
-	@echo "... Camera.o"
-	@echo "... Camera.i"
-	@echo "... Camera.s"
-	@echo "... Entity.o"
-	@echo "... Entity.i"
-	@echo "... Entity.s"
-	@echo "... SceneNode.o"
-	@echo "... SceneNode.i"
-	@echo "... SceneNode.s"
-	@echo "... Skybox.o"
-	@echo "... Skybox.i"
-	@echo "... Skybox.s"
-	@echo "... SpaceshipSteeringObject.o"
-	@echo "... SpaceshipSteeringObject.i"
-	@echo "... SpaceshipSteeringObject.s"
-	@echo "... WorldEntity.o"
-	@echo "... WorldEntity.i"
-	@echo "... WorldEntity.s"
-	@echo "... test1.o"
-	@echo "... test1.i"
-	@echo "... test1.s"
-	@echo "... test2.o"
-	@echo "... test2.i"
-	@echo "... test2.s"
-	@echo "... test3.o"
-	@echo "... test3.i"
-	@echo "... test3.s"
-
-
-
-#=============================================================================
-# Special targets to cleanup operation of make.
-
-# Special rule to run CMake to check the build system integrity.
-# No rule that depends on this can have commands that come from listfiles
-# because they might be regenerated.
-cmake_check_build_system:
-	cd /home/nicolape/orxonox/branches/FICN && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
-