Index: code/branches/FICN/src/loader/LevelLoader.cc
===================================================================
--- code/branches/FICN/src/loader/LevelLoader.cc	(revision 523)
+++ code/branches/FICN/src/loader/LevelLoader.cc	(revision 525)
@@ -104,4 +104,6 @@
 			TiXmlNode* tNode;
 
+			Ogre::OverlayManager& omgr = Ogre::OverlayManager::getSingleton();
+ 			Ogre::Overlay* mLoadOverlay;
 
 			// Set loading screen
@@ -126,5 +128,13 @@
 					loadingBarHeight_ = tElem->Attribute("height");
 				}
-				showLoadingScreen();
+				
+				
+		    mLoadOverlay = (Ogre::Overlay*)omgr.getByName("Orxonox/LoadingScreenSample");
+		    mLoadOverlay->show(); 				
+
+				std::cout << "\n\n\nThis is Orxonox\nthe hottest 3D action shooter ever to exist\n\n\n";
+				std::cout << "Level: " << name() << "\nDescription:" << description() << "\nImage:"<<image()<<"\n\n\n";
+				std::cout << "Backgroundcolor: " << loadingBackgroundColor_ << "\nBackgroundimage:" << loadingBackgroundImage_ << "\n\n\n";
+							
 			}
 
@@ -147,19 +157,11 @@
 				}
 			}
-
+			
+			if (loadElem)
+			{
+				 mLoadOverlay->hide();
+			}
 			std::cout << "Loading finished!\n\n\n\n\n";
 		}
-	}
-
-	void LevelLoader::showLoadingScreen()
-	{
-		
-		Ogre::OverlayManager& omgr = Ogre::OverlayManager::getSingleton();
-    Ogre::Overlay* mLoadOverlay = (Ogre::Overlay*)omgr.getByName("Orxonox/LoadingScreenSample");
-    mLoadOverlay->show(); 
-		
-		std::cout << "\n\n\nThis is Orxonox\nthe hottest 3D action shooter ever to exist\n\n\n";
-		std::cout << "Level: " << name() << "\nDescription:" << description() << "\nImage:"<<image()<<"\n\n\n";
-		std::cout << "Backgroundcolor: " << loadingBackgroundColor_ << "\nBackgroundimage:" << loadingBackgroundImage_ << "\n\n\n";
 	}
 
Index: code/branches/FICN/src/loader/LevelLoader.h
===================================================================
--- code/branches/FICN/src/loader/LevelLoader.h	(revision 523)
+++ code/branches/FICN/src/loader/LevelLoader.h	(revision 525)
@@ -29,6 +29,4 @@
 		// Destructor
 		~LevelLoader();
-		// Shows a simple loading screen
-		void showLoadingScreen();
 		// Loads all level data
 		void loadLevel();
Index: code/branches/FICN/src/orxonox/orxonox.cc
===================================================================
--- code/branches/FICN/src/orxonox/orxonox.cc	(revision 523)
+++ code/branches/FICN/src/orxonox/orxonox.cc	(revision 525)
@@ -377,39 +377,10 @@
     SceneManager *mgr = ogre_->getSceneManager();
 
-	/*
-    Camera *cam = mgr->createCamera("Camera");
-    cam->setPosition(Vector3(0,0,-250));
-    cam->lookAt(Vector3(0,0,0));
-
-
-    Viewport *vp = ogre_->getRoot()->getAutoCreatedWindow()->addViewport(cam);
-
-/*
-    Entity* head = mgr->createEntity("ASSF", "assf2.mesh");
-    SceneNode *node = mgr->getRootSceneNode()->createChildSceneNode("OgreHeadNode", Vector3(0,0,0));
-    node->attachObject(head);
-    node->attachObject(cam);
-
-
-
-    Entity* head1 = mgr->createEntity("head1", "ogrehead.mesh");
-    SceneNode *node1 = mgr->getRootSceneNode()->createChildSceneNode("OgreHeadNode1", Vector3(200,0,0));
-    node1->attachObject(head1);
-    Entity* head2 = mgr->createEntity("head2", "ogrehead.mesh");
-    SceneNode *node2 = mgr->getRootSceneNode()->createChildSceneNode("OgreHeadNode2", Vector3(200,400,-100));
-    node2->attachObject(head2);
-    Entity* head3 = mgr->createEntity("head3", "ogrehead.mesh");
-    SceneNode *node3 = mgr->getRootSceneNode()->createChildSceneNode("OgreHeadNode3", Vector3(0,400,200));
-    node3->attachObject(head3);
-    Entity* head4 = mgr->createEntity("head4", "ogrehead.mesh");
-    SceneNode *node4 = mgr->getRootSceneNode()->createChildSceneNode("OgreHeadNode4", Vector3(-400,-200,600));
-    node4->attachObject(head4);
-    Entity* head5 = mgr->createEntity("head5", "ogrehead.mesh");
-    SceneNode *node5 = mgr->getRootSceneNode()->createChildSceneNode("OgreHeadNode5", Vector3(0,0,-400));
-    node5->attachObject(head5);
-
-    steering = new SpaceshipSteering(500, 200, 200, 200);
-    steering->addNode(node);
-    */
+
+    SceneNode* node = (SceneNode*)mgr->getRootSceneNode()->getChild("OgreHeadNode");
+
+
+    steering_ = new SpaceshipSteering(500, 200, 200, 200);
+    steering_->addNode(node);
 
   }