Index: code/branches/FICN/cmake/FindALUT.cmake
===================================================================
--- code/branches/FICN/cmake/FindALUT.cmake	(revision 535)
+++ code/branches/FICN/cmake/FindALUT.cmake	(revision 536)
@@ -40,4 +40,5 @@
   /opt/include/OpenAL
   /opt/include
+  ../libs/freealut-1.1.0/include
   )
 # I'm not sure if I should do a special casing for Apple. It is
@@ -69,5 +70,5 @@
     $ENV{ALUTDIR}/lib
     $ENV{ALUTDIR}/libs
-		/usr/pack/openal-0.0.8-cl/i686-debian-linux3.1/lib
+    /usr/pack/openal-0.0.8-cl/i686-debian-linux3.1/lib
     /usr/local/lib
     /usr/lib
@@ -76,4 +77,6 @@
     /opt/csw/lib
     /opt/lib
+    ../libs/freealut-1.1.0/src/.libs
+    ../libs/freealut-1.1.0/lib
     )
 ENDIF(${ALUT_INCLUDE_DIR} MATCHES ".framework")
Index: code/branches/FICN/cmake/FindBoost.cmake
===================================================================
--- code/branches/FICN/cmake/FindBoost.cmake	(revision 535)
+++ code/branches/FICN/cmake/FindBoost.cmake	(revision 536)
@@ -76,4 +76,6 @@
 # a library is selected for linking.
   SET(Boost_LIB_DIAGNOSTIC_DEFINITIONS "-DBOOST_LIB_DIAGNOSTIC")
+#  SET(Boost_LIB_PREFIX "lib")
+#  SET(Boost_LIB_SUFFIX "gcc-mt-1_33_1.lib")
 ENDIF(WIN32)
 
@@ -109,12 +111,16 @@
 # Look for an installation.
 #
-FIND_PATH(Boost_INCLUDE_DIR NAMES boost/config.hpp PATH_SUFFIXES ${SUFFIX_FOR_PATH} PATHS
+IF(WIN32)
+  SET(Boost_INCLUDE_DIR ../libs/boost_1_33_1)
+ELSE(WIN32)
+  FIND_PATH(Boost_INCLUDE_DIR NAMES boost/config.hpp PATH_SUFFIXES ${SUFFIX_FOR_PATH} PATHS
 
 # Look in other places.
-  ${BOOST_DIR_SEARCH}
+    ${BOOST_DIR_SEARCH}
 
 # Help the user find it if we cannot.
-  DOC "The ${BOOST_INCLUDE_PATH_DESCRIPTION}"
-)
+    DOC "The ${BOOST_INCLUDE_PATH_DESCRIPTION}"
+  )
+ENDIF(WIN32)
 
 # Assume we didn't find it.
@@ -140,4 +146,6 @@
   IF(EXISTS "${Boost_LIBRARY_DIR}/lib")
     SET (Boost_LIBRARY_DIR ${Boost_LIBRARY_DIR}/lib)
+  ELSEIF(EXISTS "${Boost_LIBRARY_DIR}/bin/boost/libs/thread/build/boost_thread.dll/gcc/release/threading-multi")
+    SET (Boost_LIBRARY_DIR ${Boost_LIBRARY_DIR}/bin/boost/libs/thread/build/boost_thread.dll/gcc/release/threading-multi)
   ELSE(EXISTS "${Boost_LIBRARY_DIR}/lib")
     IF(EXISTS "${Boost_LIBRARY_DIR}/stage/lib")
@@ -152,4 +160,5 @@
   ENDIF(EXISTS "${Boost_LIBRARY_DIR}/lib")
 
+
   IF(EXISTS "${Boost_INCLUDE_DIR}")
     SET(Boost_INCLUDE_DIRS ${Boost_INCLUDE_DIR})
@@ -165,4 +174,5 @@
 ENDIF(Boost_INCLUDE_DIR)
 
+
 #
 # Find boost libraries
@@ -175,4 +185,6 @@
   gcc
   il
+  gcc-1_33_1
+  gcc-mt-1_33_1
 )
 
Index: code/branches/FICN/cmake/FindCEGUI.cmake
===================================================================
--- code/branches/FICN/cmake/FindCEGUI.cmake	(revision 535)
+++ code/branches/FICN/cmake/FindCEGUI.cmake	(revision 536)
@@ -22,6 +22,6 @@
 IF (WIN32) #Windows
     MESSAGE(STATUS "Looking for CEGUI")
-    SET(CEGUI_INCLUDE_DIR ../ogre/Dependencies/include/CEGUI)
-    SET(CEGUI_LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../ogre/Samples/Common/bin/Release/lib)
+    SET(CEGUI_INCLUDE_DIR ../libs/ogre/Dependencies/include/CEGUI)
+    SET(CEGUI_LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../libs/ogre/Samples/Common/bin/Release/lib)
     SET(CEGUI_LIBRARIES debug CEGUIBase_d optimized CEGUIBase)
 ELSE (WIN32) #Unix
Index: code/branches/FICN/cmake/FindCEGUI_OGRE.cmake
===================================================================
--- code/branches/FICN/cmake/FindCEGUI_OGRE.cmake	(revision 535)
+++ code/branches/FICN/cmake/FindCEGUI_OGRE.cmake	(revision 536)
@@ -22,6 +22,6 @@
 IF (WIN32) #Windows
     MESSAGE(STATUS "Looking for CEGUI_OGRE")
-    SET(CEGUI_OGRE_INCLUDE_DIR ../ogre/Samples/Common/CEGUIRenderer/include)
-    SET(CEGUI_OGRE_LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../ogre/Samples/Common/bin/Release/lib)
+    SET(CEGUI_OGRE_INCLUDE_DIR ../libs/ogre/Samples/Common/CEGUIRenderer/include)
+    SET(CEGUI_OGRE_LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../libs/ogre/Samples/Common/bin/Release/lib)
     SET(CEGUI_OGRE_LIBRARIES debug OgreGUIRenderer_d optimized OgreGUIRenderer)
 ELSE (WIN32) #Unix
Index: code/branches/FICN/cmake/FindENet.cmake
===================================================================
--- code/branches/FICN/cmake/FindENet.cmake	(revision 535)
+++ code/branches/FICN/cmake/FindENet.cmake	(revision 536)
@@ -19,4 +19,5 @@
     /usr/local/include
     /usr/pack/enet-2007-sd/include
+    ../libs/enet-1.1/include
     )
 
@@ -24,4 +25,5 @@
     NAMES enet
     PATHS /usr/lib /usr/local/lib /usr/pack/enet-2007-sd/i686-debian-linux3.1/lib/
+    ../libs/enet-1.1
     )
 
Index: code/branches/FICN/cmake/FindOGRE.cmake
===================================================================
--- code/branches/FICN/cmake/FindOGRE.cmake	(revision 535)
+++ code/branches/FICN/cmake/FindOGRE.cmake	(revision 536)
@@ -18,6 +18,6 @@
 IF (WIN32) #Windows
     MESSAGE(STATUS "Looking for OGRE")
-    SET(OGRE_INCLUDE_DIR ../ogre/OgreMain/include)
-    SET(OGRE_LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../ogre/Samples/Common/bin/Release)
+    SET(OGRE_INCLUDE_DIR ../libs/ogre/OgreMain/include)
+    SET(OGRE_LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../libs/ogre/Samples/Common/bin/Release)
     SET(OGRE_LIBRARIES debug OgreMain_d optimized OgreMain)
 ELSE (WIN32) #Unix
Index: code/branches/FICN/cmake/FindOIS.cmake
===================================================================
--- code/branches/FICN/cmake/FindOIS.cmake	(revision 535)
+++ code/branches/FICN/cmake/FindOIS.cmake	(revision 536)
@@ -22,6 +22,6 @@
 IF (WIN32) #Windows
     MESSAGE(STATUS "Looking for OIS")
-    SET(OIS_INCLUDE_DIR ../ogre/Dependencies/include)
-    SET(OIS_LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../ogre/Samples/Common/bin/Release)
+    SET(OIS_INCLUDE_DIR ../libs/ogre/Dependencies/include)
+    SET(OIS_LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../libs/ogre/Samples/Common/bin/Release)
     SET(OIS_LIBRARIES debug OIS_d optimized OIS)
 ELSE (WIN32) #Unix
Index: code/branches/FICN/cmake/FindOggVorbis.cmake
===================================================================
--- code/branches/FICN/cmake/FindOggVorbis.cmake	(revision 535)
+++ code/branches/FICN/cmake/FindOggVorbis.cmake	(revision 536)
@@ -17,4 +17,5 @@
   /opt/csw/include
   /opt/include
+  ../libs/libogg-1.1.3/include
   )
 
@@ -28,4 +29,5 @@
   /opt/csw/include
   /opt/include
+  ../libs/libvorbis-1.2.0/include
   )
 
@@ -37,5 +39,5 @@
   NAMES ogg
   PATHS
-	/usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.1/lib
+  /usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.1/lib
   /usr/local/lib
   /usr/lib
@@ -44,4 +46,5 @@
   /opt/csw/lib
   /opt/lib
+  ../libs/libogg-1.1.3/src/.libs
   )
 
@@ -49,5 +52,5 @@
   NAMES vorbis
   PATHS
-	/usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.1/lib
+  /usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.1/lib
   /usr/local/lib
   /usr/lib
@@ -56,4 +59,5 @@
   /opt/csw/lib
   /opt/lib
+  ../libs/libvorbis-1.2.0/lib/.libs
   )
 
@@ -61,5 +65,5 @@
   NAMES vorbisenc
   PATHS
-	/usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.1/lib
+  /usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.1/lib
   /usr/local/lib
   /usr/lib
@@ -68,4 +72,5 @@
   /opt/csw/lib
   /opt/lib
+  ../libs/libvorbis-1.2.0/lib/.libs
   )
 
@@ -73,5 +78,5 @@
   NAMES vorbisfile
   PATHS
-	/usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.1/lib
+  /usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.1/lib
   /usr/local/lib
   /usr/lib
@@ -80,4 +85,5 @@
   /opt/csw/lib
   /opt/lib
+  ../libs/libvorbis-1.2.0/lib/.libs
   )
 
Index: code/branches/FICN/cmake/FindOpenAL.cmake
===================================================================
--- code/branches/FICN/cmake/FindOpenAL.cmake	(revision 535)
+++ code/branches/FICN/cmake/FindOpenAL.cmake	(revision 536)
@@ -41,4 +41,5 @@
   /opt/include/OpenAL
   /opt/include
+  ../libs/openal-0.0.8/common/include
   )
 # I'm not sure if I should do a special casing for Apple. It is
@@ -70,5 +71,5 @@
     $ENV{OPENALDIR}/lib
     $ENV{OPENALDIR}/libs
-		/usr/pack/openal-0.0.8-cl/i686-debian-linux3.1/lib
+    /usr/pack/openal-0.0.8-cl/i686-debian-linux3.1/lib
     /usr/local/lib
     /usr/lib
@@ -77,4 +78,5 @@
     /opt/csw/lib
     /opt/lib
+    ../libs/openal-0.0.8/src/.libs
     )
 ENDIF(${OPENAL_INCLUDE_DIR} MATCHES ".framework")
Index: code/branches/FICN/cmake/FindZlib.cmake
===================================================================
--- code/branches/FICN/cmake/FindZlib.cmake	(revision 536)
+++ code/branches/FICN/cmake/FindZlib.cmake	(revision 536)
@@ -0,0 +1,16 @@
+IF(WIN32)
+  IF(EXISTS "../libs/ogre/Dependencies/lib/Release")
+    SET (Zlib_LIBRARY_DIR "../libs/ogre/Dependencies/lib/Release")
+  ENDIF(EXISTS "../libs/ogre/Dependencies/lib/Release")
+
+  FIND_LIBRARY(Zlib_LIBRARY
+    NAMES zlib
+    PATHS ${Zlib_LIBRARY_DIR}
+  )
+
+  IF(Zlib_LIBRARY)
+    MESSAGE(STATUS "Zlib was found.")
+  ELSE(Zlib_LIBRARY)
+    MESSAGE(FATAL_ERROR "Zlib was NOT found.")
+  ENDIF(Zlib_LIBRARY)
+ENDIF(WIN32)
Index: code/branches/FICN/src/audio/CMakeLists.txt
===================================================================
--- code/branches/FICN/src/audio/CMakeLists.txt	(revision 535)
+++ code/branches/FICN/src/audio/CMakeLists.txt	(revision 536)
@@ -14,5 +14,5 @@
 ADD_LIBRARY(audio ${SRC_FILES})
 
-TARGET_LINK_LIBRARIES(audio ${OPENAL_LIBRARY} ${ALUT_LIBRARY} ${OGG_LIBRARY} ${VORBIS_LIBRARY} ${VORBISFILE_LIBRARY} ${VORBISENC_LIBRARY})
+TARGET_LINK_LIBRARIES(audio ${OPENAL_LIBRARY} ${ALUT_LIBRARY} ${VORBISFILE_LIBRARY} ${VORBISENC_LIBRARY} ${VORBIS_LIBRARY} ${OGG_LIBRARY})
 
 
Index: code/branches/FICN/src/network/dummyclient3.cc
===================================================================
--- code/branches/FICN/src/network/dummyclient3.cc	(revision 535)
+++ code/branches/FICN/src/network/dummyclient3.cc	(revision 536)
@@ -3,4 +3,11 @@
 #include "PacketManager.h"
 #include "Client.h"
+
+#ifdef WIN32
+#include <windows.h>
+#define usleep(x) Sleep((x)/1000)
+#else
+#include <unistd.h>
+#endif
 
 using namespace network;