Index: code/branches/FICN/CMakeLists.txt
===================================================================
--- code/branches/FICN/CMakeLists.txt	(revision 538)
+++ code/branches/FICN/CMakeLists.txt	(revision 539)
@@ -64,5 +64,5 @@
 FIND_PACKAGE(ALUT)
 FIND_PACKAGE(OggVorbis)
-FIND_PACKAGE(Zlib)
+FIND_PACKAGE(ZLIB)
 
 IF(WIN32)
Index: code/branches/FICN/bin/resources.cfg
===================================================================
--- code/branches/FICN/bin/resources.cfg	(revision 538)
+++ code/branches/FICN/bin/resources.cfg	(revision 539)
@@ -11,5 +11,4 @@
 FileSystem=../Media/materials/scripts
 FileSystem=../Media/materials/textures
-#FileSystem=../Media/material
 FileSystem=../Media/models
 FileSystem=../Media/overlay
Index: code/branches/FICN/cmake/FindZLIB.cmake
===================================================================
--- code/branches/FICN/cmake/FindZLIB.cmake	(revision 539)
+++ code/branches/FICN/cmake/FindZLIB.cmake	(revision 539)
@@ -0,0 +1,70 @@
+# - Find zlib
+# Find the native ZLIB includes and library
+#
+#  ZLIB_INCLUDE_DIR - where to find zlib.h, etc.
+#  ZLIB_LIBRARIES   - List of libraries when using zlib.
+#  ZLIB_FOUND       - True if zlib found.
+#
+#  Modified by Nicolas Schlumberger, (c) 2007
+#  to make it work on the Tardis Infrastucture of the ETH Zurich
+#
+
+IF(UNIX)
+  IF (ZLIB_INCLUDE_DIR)
+  # Already in cache, be silent
+    SET(ZLIB_FIND_QUIETLY TRUE)
+  ENDIF (ZLIB_INCLUDE_DIR)
+
+  FIND_PATH(ZLIB_INCLUDE_DIR zlib.h
+    /usr/pack/zziplib-0.13.49-sd/include/
+    /usr/local/include
+    /usr/include
+  )
+
+  SET(ZLIB_NAMES z zlib zdll)
+  FIND_LIBRARY(ZLIB_LIBRARY
+    NAMES ${ZLIB_NAMES}
+    PATHS /usr/pack/zziplib-0.13.49-sd/i686-debian-linux3.1/lib/ /usr/lib /usr/local/lib
+  )
+
+  IF (ZLIB_INCLUDE_DIR AND ZLIB_LIBRARY)
+    SET(ZLIB_FOUND TRUE)
+      SET( ZLIB_LIBRARIES ${ZLIB_LIBRARY} )
+  ELSE (ZLIB_INCLUDE_DIR AND ZLIB_LIBRARY)
+    SET(ZLIB_FOUND FALSE)
+    SET( ZLIB_LIBRARIES )
+  ENDIF (ZLIB_INCLUDE_DIR AND ZLIB_LIBRARY)
+
+  IF (ZLIB_FOUND)
+    IF (NOT ZLIB_FIND_QUIETLY)
+      MESSAGE(STATUS "Found ZLIB: ${ZLIB_LIBRARY}")
+    ENDIF (NOT ZLIB_FIND_QUIETLY)
+  ELSE (ZLIB_FOUND)
+    IF (ZLIB_FIND_REQUIRED)
+        MESSAGE(STATUS "Looked for Z libraries named ${ZLIBS_NAMES}.")
+        MESSAGE(FATAL_ERROR "Could NOT find z library")
+    ENDIF (ZLIB_FIND_REQUIRED)
+  ENDIF (ZLIB_FOUND)
+
+  MARK_AS_ADVANCED(
+    ZLIB_LIBRARY
+    ZLIB_INCLUDE_DIR
+  )
+ENDIF(UNIX)
+
+IF(WIN32)
+  IF(EXISTS "../libs/ogre/Dependencies/lib/Release")
+    SET (ZLIB_LIBRARY_DIR "../libs/ogre/Dependencies/lib/Release")
+  ENDIF(EXISTS "../libs/ogre/Dependencies/lib/Release")
+
+  FIND_LIBRARY(ZLIB_LIBRARY
+    NAMES zlib
+    PATHS ${Zlib_LIBRARY_DIR}
+  )
+
+  IF(Zlib_LIBRARY)
+    MESSAGE(STATUS "Zlib was found.")
+  ELSE(Zlib_LIBRARY)
+    MESSAGE(FATAL_ERROR "Zlib was NOT found.")
+  ENDIF(ZLIB_LIBRARY)
+ENDIF(WIN32)
Index: code/branches/FICN/cmake/FindZlib.cmake
===================================================================
--- code/branches/FICN/cmake/FindZlib.cmake	(revision 538)
+++ 	(revision )
@@ -1,16 +1,0 @@
-IF(WIN32)
-  IF(EXISTS "../libs/ogre/Dependencies/lib/Release")
-    SET (Zlib_LIBRARY_DIR "../libs/ogre/Dependencies/lib/Release")
-  ENDIF(EXISTS "../libs/ogre/Dependencies/lib/Release")
-
-  FIND_LIBRARY(Zlib_LIBRARY
-    NAMES zlib
-    PATHS ${Zlib_LIBRARY_DIR}
-  )
-
-  IF(Zlib_LIBRARY)
-    MESSAGE(STATUS "Zlib was found.")
-  ELSE(Zlib_LIBRARY)
-    MESSAGE(FATAL_ERROR "Zlib was NOT found.")
-  ENDIF(Zlib_LIBRARY)
-ENDIF(WIN32)
Index: code/branches/FICN/src/network/CMakeLists.txt
===================================================================
--- code/branches/FICN/src/network/CMakeLists.txt	(revision 538)
+++ code/branches/FICN/src/network/CMakeLists.txt	(revision 539)
@@ -35,5 +35,5 @@
 
 ADD_LIBRARY(network SHARED ${NETWORK_SRC_FILES})
-TARGET_LINK_LIBRARIES(network ${Zlib_LIBRARY} ${ENet_LIBRARY} ${Boost_thread_LIBRARIES})
+TARGET_LINK_LIBRARIES(network ${ZLIB_LIBRARY} ${ENet_LIBRARY} ${Boost_thread_LIBRARIES})
 
 ADD_EXECUTABLE(chatserver ${CHATSERVER_SRC_FILES})
@@ -44,5 +44,5 @@
   #objects
   ${ENet_LIBRARY}
-  ${Zlib_LIBRARY}
+  ${ZLIB_LIBRARY}
   ${WINDOWS_ENET_DEPENDENCIES}
 )
@@ -55,5 +55,5 @@
   #objects
   ${ENet_LIBRARY}
-  ${Zlib_LIBRARY}
+  ${ZLIB_LIBRARY}
   ${WINDOWS_ENET_DEPENDENCIES}
 )
Index: code/branches/FICN/src/orxonox/orxonox.cc
===================================================================
--- code/branches/FICN/src/orxonox/orxonox.cc	(revision 538)
+++ code/branches/FICN/src/orxonox/orxonox.cc	(revision 539)
@@ -67,8 +67,4 @@
 #include "../network/Client.h"
 #include "../network/NetworkFrameListener.h"
-
-// some tests to see if enet works without includsion
-//#include <enet/enet.h>
-//#include <enet/protocol.h>
 
 